Name:           ipcmd
Version:        0.1.1
Release:        2%{?dist}
Summary:        Command-line interface to SysV semaphores and message queues

Group:          Applications/System
License:        BSD
URL:            https://code.google.com/p/ipcmd/
Source0:        https://github.com/nathanweeks/ipcmd/archive/%{version}.tar.gz

%if 0%{?fedora} == 0
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
%endif

%description
ipcmd exposes the XSI (SysV) semaphore and message queue APIs through a 
simple command-line interface, enabling scriptable inter-process 
communication and synchronization. It can be used to:

- Serialize the execution of certain commands during a parallel make 
  (e.g., the "ar" command when creating static libraries)

- Limit the number of concurrently executing processes

- Add process synchronization to scripts (e.g., barriers) and prevent 
  concurrent access to critical sections

- Prototype or debug applications that use SysV semaphores or message queues 

%prep
%setup -q

# does not have a configure script, but we want to bring in RH defaults
echo '#!/bin/sh' > ./configure
chmod +x ./configure

sed -e 's/^CC/#CC/g' -e 's/^CFLAGS.*/CFLAGS += -std=c99/g' -i Makefile


%build
# Makefile wants this directory already here
install -d bin

%configure
make %{?_smp_mflags}


%check
make check


%install
rm -fR %{buildroot}
# no "make install" target
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -m 755 bin/ipcmd %{buildroot}%{_bindir}/ipcmd
install -m 644 man/man1/ipcmd.1 %{buildroot}%{_mandir}/man1/ipcmd.1


%clean
rm -fR %{buildroot}


%files
%defattr(-,root,root)
%doc CHANGES LICENSE README
%docdir examples
%doc examples/*
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Mon Aug 12 2019 Japheth Cleaver <cleaver@terabithia.org> - 0.1.1-2
- Move source URL to GitHub

* Tue Apr 07 2015 Japheth Cleaver <cleaver@terabithia.org> - 0.1.1-1
- new package
